package com.iamberry.wechat.service.reserve;

import com.iamberry.wechat.core.entity.rent.ChannelAccess;
import com.iamberry.wechat.core.entity.rent.ReserveOrder;
import com.iamberry.wechat.face.reserve.ReserveService;
import com.iamberry.wechat.service.mapper.ReserveMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author 献
 * @company 深圳爱贝源科技有限公司
 * @date 2017/7/10 12:57
 * @tel 18271840547
 * @website www.iamberry.com
 */
@Service
public class ReserveServiceImpl implements ReserveService {

    @Autowired
    private ReserveMapper reserveMapper;


    @Override
    public Integer addAccess(ChannelAccess channelAccess) {
        return reserveMapper.addAccess(channelAccess);
    }

    @Override
    public Integer updateChannelNum(Integer channelId) {
        return reserveMapper.updateChannelNum(channelId);
    }

    @Override
    public Integer addOrder(ReserveOrder order) {
        return reserveMapper.addOrder(order);
    }

    @Override
    public Integer updateOrder(ReserveOrder order) {
        return reserveMapper.updateOrder(order);
    }

    @Override
    public ReserveOrder getOrder(Integer orderId) {
        return reserveMapper.getOrder(orderId);
    }
}
